Name:           abi-compliance-checker
Version:        1.99.13
Release:        1%{?dist}
Summary:        An ABI Compliance Checker

License:        GPL+ or LGPLv2+
URL:            http://lvc.github.io/abi-compliance-checker/
Source0:        https://github.com/lvc/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  perl(Getopt::Long)
Requires:       gcc >= 4.5
Requires:       gcc-c++ >= 4.5
Requires:       binutils
Requires:       ctags >= 5.8
Requires:       ccache > 3.1.2

%{?perl_default_filter}

%description
A tool for checking backward binary compatibility of a shared C/C++ library. It
checks for changes in calling stack, changes in v-table, removed symbols, etc.


%prep
%setup -q


%build
# Nothing to build.


%install
mkdir -p %{buildroot}%{_prefix}
perl Makefile.pl -install --prefix=%{_prefix} --destdir=%{buildroot}
%{_fixperms} %{buildroot}/*


%files
%{!?_licensedir:%global license %doc}
%license LICENSE
%doc README doc/*
%{_bindir}/%{name}
%{_datadir}/%{name}


%changelog
* Sun Oct 18 2015 Richard Shaw <hobbes1069@gmail.com> - 1.99.13-1
- Update to latest upstream release.

* Tue Sep  8 2015 Richard Shaw <hobbes1069@gmail.com> - 1.99.10-1
- Update to latest upstream release.

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.99.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.99.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar  4 2014 Richard Shaw <hobbes1069@gmail.com> - 1.99.9-1
- Update to latest bugfix release.

* Tue Oct  8 2013 Richard Shaw <hobbes1069@gmail.com> - 1.99.8.5-1
- Update to latest bugfix release.

* Fri Sep 27 2013 Richard Shaw <hobbes1069@gmail.com> - 1.99.8.4-1
- Update to latest bugfix release.

* Wed Sep 18 2013 Richard Shaw <hobbes1069@gmail.com> - 1.99.8.3-1
- Update to latest bugfix release.

* Sat Aug 10 2013 Richard Shaw <hobbes1069@gmail.com> - 1.99.8.2-1
- Update to latest bugfix release.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.99.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 18 2013 Petr Pisar <ppisar@redhat.com> - 1.99.7-2
- Perl 5.18 rebuild

* Fri Jun 28 2013 Richard Shaw <hobbes1069@gmail.com> - 1.99.7-1
- Update to latest bugfix release.

* Tue Jun 25 2013 Richard Shaw <hobbes1069@gmail.com> - 1.99.2-1
- Update to latest bugfix release.

* Sat Jun  8 2013 Richard Shaw <hobbes1069@gmail.com> - 1.99.1-1
- Update to latest bugfix release.

* Tue May 28 2013 Richard Shaw <hobbes1069@gmail.com> - 1.99-1
- Update to latest upstream release.

* Fri May 03 2013 Richard Shaw <hobbes1069@gmail.com> - 1.98.8-2
- Add package requires for gcc-c++, ctags, ccache.

* Sat Feb  9 2013 Richard Shaw <hobbes1069@gmail.com> - 1.98.8-1
- Update to latest upstream release.

* Sat Dec 15 2012 Richard Shaw <hobbes1069@gmail.com> - 1.98.7-1
- Update to latest upstream release.

* Wed Dec 05 2012 Richard Shaw <hobbes1069@gmail.com> - 1.98.6-1
- Update to latest upstream release.

* Sun Oct 21 2012 Richard Shaw <hobbes1069@gmail.com> - 1.98.4-1
- Update to latest upstream release.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 02 2012 Richard Shaw <hobbes1069@gmail.com> - 1.98.2-1
- Update to latest upstream release.

* Mon Jun 18 2012 Richard Shaw <hobbes1069@gmail.com> - 1.98.1-1
- Update to latest upstream release.

* Mon Jun 11 2012 Richard Shaw <hobbes1069@gmail.com> - 1.97.8-1
- Update to latest upstream release.

* Mon Jun 04 2012 Richard Shaw <hobbes1069@gmail.com> - 1.97.7-1
- Update to latest upstream release.

* Tue May 15 2012 Richard Shaw <hobbes1069@gmail.com> - 1.97.5-1
- Update to latest upstream release.

* Tue Apr 17 2012 Richard Shaw <hobbes1069@gmail.com> - 1.97.4-1
- Update to latest upstream release.

* Tue Dec 20 2011 Richard Shaw <hobbes1069@gmail.com> - 1.96.1-1
- Update to 1.96.1.
- Fixes false positive: http://forge.ispras.ru/issues/2097

* Wed Dec 07 2011 Richard Shaw <hobbes1069@gmail.com> - 1.95.13-1
- Updated to 1.95.13.

* Thu Nov 17 2011 Richard Shaw <hobbes1069@gmail.com> - 1.95.10-1
- Updated license field based on upstream response.
- Updated to 1.95.10.
- Added SVN changelog.

* Wed Nov 16 2011 Richard Shaw <hobbes1069@gmail.com> - 1.95.9-2
- Fix perl private module install location.
- Fix spec license field.
- Minor specfile cleanup.

* Mon Nov 14 2011 Richard Shaw <hobbes1069@gmail.com> - 1.95.9-1
- Initial release.
